# Interface Attribute

#### Hierarchy

- Attribute

- Defined in src/format/Attribute.js:42

#####
Index

### Properties

alias
choices
format
geomType
mask
maxLength
name
numType
readonly
required
type

## Properties

### alias

alias: string

The attribute alias

- Defined in src/format/Attribute.js:49

### choices

choices: string[]

The list of possible values for the attribute.

- Defined in src/format/Attribute.js:46

### format

format: string

The format used in the date, time and datetime type.

- Defined in src/format/Attribute.js:54

### geomType

geomType: string

(AttributeBase)

- Defined in src/format/Attribute.js:43

### mask

mask: string

The mask used in the date, time and datetime type.

- Defined in src/format/Attribute.js:55

### maxLength

maxLength: number

Specifies the maximum number of character for the attribute value.

- Defined in src/format/Attribute.js:47

### name

name: string

The attribute name.

- Defined in src/format/Attribute.js:48

### numType

numType: string

(AttributeBase)

- Defined in src/format/Attribute.js:44

### readonly

readonly: boolean

Whether the attribute's value should be prevented from being edited or not. Defaults to `false`.

- Defined in src/format/Attribute.js:50

### required

required: boolean

Whether the attribute is required to have a value set or not. Defaults to `false`.

- Defined in src/format/Attribute.js:52

### type

type: string

(AttributeBase)

- Defined in src/format/Attribute.js:45

Generated using TypeDoc